import React from 'react';
import './Login.css';


class Login extends React.Component
{
    constructor()
    {
        super();
        this.isPWValid = false;
        this.receive();
    }
    validateConstraints(event) 
    {
        event.preventDefault();
        const passwordInput = document.getElementsByClassName('password')[0];
        let message= '';
        if (!/.{8,}/.test(passwordInput.value)) {
                message = 'At least eight characters. ';
        }
            if (!/.*[A-Z].*/.test(passwordInput.value)) {
                message += '\nAt least one uppercase letter. ';
        }
            if (!/.*[a-z].*/.test(passwordInput.value)) {
                message += '\nAt least one lowercase letter.';
        }
        passwordInput.setCustomValidity(message);
        if(message==='')
        {            
            var form = document.getElementById('form')
            window.ipcRender.send('login', {
                email:form[0].value,
                pw:form[1].value
            })
            window.ipcRender.receive('login', hash=>
            {
                document.cookie = document.cookie+ `Hash=${hash};`;
                window.location.reload();
            })
        };  
    }
    emailValidity()
    {
        document.getElementsByClassName('emailInput')[0].setCustomValidity('Email does not match normal parameters.');
    }
    handleKeyDown(event)
    {
        if (event.keyCode === 13 ) {
            event.preventDefault();
        }
    }
    receive()
    {
        window.ipcRender.receive('login', data=>
        {
            document.cookie = document.cookie+ `Hash=${data.Hash};`;
            window.location.reload();
        })
    }
    render()
    {   

        return(
            <div className='container'>
                <form id='form' className='loginForm'>
                    <label><span>Email</span></label>
                    <input required className='emailInput'  type="email" placeholder=" " onKeyDown={this.handleKeyDown} onInvalid={this.emailValidity}></input>
                    <label><span>Password</span></label>
                    <input required className='password' type="password" onKeyDown={this.handleKeyDown} autoComplete="current-password" ></input>
                    <button className='bt Login'  onClick={this.validateConstraints}>Login</button>                      
                </form>
            </div>
        )
    }
}


export default Login;