import React from 'react'
import './RegisterForm.css'

class Register  extends React.Component
{
    send(event)
    {
        event.preventDefault();
        var form = document.getElementById('form');
        var correctEmail = form[0].value ===form[1].value;
        var correctPassword = form[2].value ===form[3].value

        if(!correctEmail || !correctPassword)
        {
            return badInput(correctEmail, correctPassword)
        }
        const passwordInput = document.getElementsByClassName('Password')[0];
        let message= '';
        if (!/.{8,}/.test(passwordInput.value)) {
                message = 'At least eight characters. ';
        }
            if (!/.*[A-Z].*/.test(passwordInput.value)) {
                message += '\nAt least one uppercase letter. ';
        }
            if (!/.*[a-z].*/.test(passwordInput.value)) {
                message += '\nAt least one lowercase letter.';
        }
        passwordInput.setCustomValidity(message);
        if(message==='')
        {
            window.ipcRender.send('register', {
                email:form[0].value,
                pw:form[2].value,
                nick_tag:form[4].value
            })
            window.ipcRender.receive('register', data=>
            {
                data = JSON.parse(data);
                document.cookie = document.cookie+ `Hash=${data.Hash};`;
                window.location.reload();
        
            })
        }

        /**
         * 
         * @param {String} mail -email
         * @param {String} pw  - password 
         * @returns {void}
         */
        function badInput(mail, pw)
        {
            console.log(mail, pw)
            if(!mail) return document.getElementById('Email').setCustomValidity('Emails don\'t match.');
            if(!pw) return document.getElementById('Password').setCustomValidity('Passwords don\'t match.');
        }

    }
    
    emailValidity()
    {
        document.getElementsByClassName('Email')[0].setCustomValidity('Email does not match normal parameters.');
    }
    render()
    {
        return(
            <div>
                <form id="form" className='container'>
                   
                    <section>
                        <label htmlFor="Email">Email</label>
                        <input id="Email" name="Email" className="Email" type="email" onInvalid={this.emailValidity} required /> 
                        <label htmlFor="Email">Confirm Email</label>
                        <input id="Email2" name="Email" className="Email" type="email" onInvalid={this.emailValidity} required /> 
                    </section>
                    <section>
                        <label htmlFor="Password">Password</label>
                        <input id="Password" name="Password" className="Password" type="password" required />
                        <label htmlFor="Password2">Confirm password</label>
                        <input id="Password2" name="Password" className="Password" type="password" required />
                    </section>
                    <section>
                        <label htmlFor="Name">League Nickname {'(nick#tag)'}</label>
                        <input id="Name" name="Name"  className="Name" type="text" required />
                    </section>
                        <button id="button" className='bt' onClick={this.send}>Register</button>
                </form>
            </div>
        )
    }
}
export default Register