import React from 'react';
import './Home.css'
import {HashRouter,Link,Route,Routes, Navigate} from "react-router-dom";


import Login from "../Components/Login";
import Register from "../Components/RegisterForm";
import Navigation from "../Components/Navigation";
const { cookieSlicer } = require("../lib");

function Home() {
    var Hash = cookieSlicer(document.cookie,'Hash');

    return (
        
        <div className="BODY">
            {Hash ? 
            (
                <Navigation/>
            ) : 
            (
                <HashRouter>
                        <div className='tempNavBar'>
                            <Link className='btTempNav' to="/"><h2>Login</h2></Link>  
                            <Link className='btTempNav' to="/Register"><h2>Register</h2></Link>  
                        </div>
                        
                        <Routes>
                            <Route exact path="/" element={<Login/>}/>
                            <Route exact path="/Register" element={<Register/>}/>
                        </Routes>     
                    </HashRouter> 
            )}
        </div>
    );



}

export default Home;


